	.386
	.model	use32 small

	extrn	allerr : proc
	public	_atan2
	.data
nm	db	"atan2",0
	.code
_atan2:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	lea	edx,[ebp+16]
	fld	qword ptr [ecx]
	fld	qword ptr [edx]
	fpatan
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end